Bug 92126 - [NVE4] GTX 760 Auto fan speed stays at 10% until temp hits 90C
Summary: [NVE4] GTX 760 Auto fan speed stays at 10% until temp hits 90C
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-26 03:00 UTC by daemon32
Modified: 2016-04-19 08:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Linux 4.2.1 dmesg with master_karol_stable module (316.78 KB, text/plain)
2015-09-26 03:00 UTC, daemon32
no flags Details
PNY GTX 760 vbios (162.50 KB, application/octet-stream)
2015-09-26 03:01 UTC, daemon32
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description daemon32 2015-09-26 03:00:42 UTC
Created attachment 118454 [details]
Linux 4.2.1 dmesg with master_karol_stable module

The fan speed of the PNY GTX 760 stays at 0% until reaching the critical temperature of 90° C. This happens on the stock nouveau module from 4.2.1, but I will include the git info nonetheless:

https://github.com/karolherbst/nouveau
Commit fc135d4e28fe05ef1269fd9e1af5f7af1284893d
Comment 1 daemon32 2015-09-26 03:01:26 UTC
Created attachment 118455 [details]
PNY GTX 760 vbios
Comment 2 daemon32 2015-12-17 05:33:11 UTC
http://lists.freedesktop.org/archives/nouveau/2015-November/023401.html

This patch fixes the problem (sort of), now, however the fan will spin up to be obnoxiously loud. As in: 4000 RPM at 50C!
Comment 3 Martin Peres 2015-12-17 11:04:04 UTC
So sorry I missed this bug report! Thanks for providing the vbios and, above all, testing my patch!

I will have a look at it today or tomorrow morning. There must be a stupid issue but that would be in the common code, which is weird!
Comment 4 daemon32 2015-12-17 23:32:30 UTC
You're welcome, I like to help out wherever I can!
Comment 5 Karol Herbst 2016-04-16 10:49:29 UTC
Is this bug fixed in recent kernels? (4.5 I think?)
Comment 6 daemon32 2016-04-19 04:36:16 UTC
(In reply to Karol Herbst from comment #5)
> Is this bug fixed in recent kernels? (4.5 I think?)

Well, sort of, the fan spins up, but it takes off like a jet engine at a mere 50° C. (I'm using your out-of-tree module currently)
Comment 7 Karol Herbst 2016-04-19 08:01:46 UTC
(In reply to daemon32 from comment #6)
> (In reply to Karol Herbst from comment #5)
> > Is this bug fixed in recent kernels? (4.5 I think?)
> 
> Well, sort of, the fan spins up, but it takes off like a jet engine at a
> mere 50° C. (I'm using your out-of-tree module currently)

ahh okay. Well there are some known fan issues left, we try to investigate it as soon as possible.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.